## golang-github-nlpodyssey-gopickle 0.3.0

=== pytorch/testdata/requirements.txt ===
torch==1.13.1

=== debian/changelog ===
golang-github-nlpodyssey-gopickle (0.3.0-3) unstable; urgency=medium

  * Re-enable i386 job.
  * Standards-Version: 4.7.2.
  * Add fix-32bit.patch to fix 32bit FTBFS's.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 03 Mar 2025 10:08:33 +0100

golang-github-nlpodyssey-gopickle (0.3.0-2) unstable; urgency=medium

  * Source-only upload for testing migration.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 10 Feb 2025 20:14:54 +0100

golang-github-nlpodyssey-gopickle (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1094694)

 -- Simon Josefsson <simon@josefsson.org>  Thu, 30 Jan 2025 11:05:53 +0100

=== debian/control ===
Source: golang-github-nlpodyssey-gopickle
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-golang-x-text-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-nlpodyssey-gopickle
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-nlpodyssey-gopickle.git
Homepage: https://github.com/nlpodyssey/gopickle
XS-Go-Import-Path: github.com/nlpodyssey/gopickle

Package: golang-github-nlpodyssey-gopickle-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-golang-x-text-dev,
 ${misc:Depends},
Description: load picke/PyTorch serialized data (library)
 GoPickle is a Go library for loading Python's data serialized with
 pickle and PyTorch module files.
 .
 The pickle sub-package provides the core functionality for loading data
 serialized with Python pickle module, from a file, string, or byte
 sequence. All *pickle* protocols from 0 to 5 are supported.
 .
 The pytorch sub-package implements types and functions for loading
 PyTorch module files. Both the *modern* zip-compressed format and the
 *legacy* non-tar format are supported. Legacy tar-compressed files and
 TorchScript archives are *not* supported.
 .
 This package contains the Go development library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_install:
	rm -v $(CURDIR)/_build/src/github.com/nlpodyssey/gopickle/pytorch/testdata/generate_fixtures.py
	rm -v $(CURDIR)/_build/src/github.com/nlpodyssey/gopickle/pytorch/testdata/requirements.txt

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/nlpodyssey/gopickle/tags .*/v?(\d\S*)\.tar\.gz debian
